[misc] 02/02: package_history shows the notes.yml history for a package

Chris West faux-guest at moszumanska.debian.org
Thu Dec 22 17:25:05 UTC 2016


This is an automated email from the git hooks/post-receive script.

faux-guest pushed a commit to branch master
in repository misc.

commit 24d7a1e48d2825e71e793d1e1261f13abf4cea3d
Author: Chris West (Faux) <git at goeswhere.com>
Date:   Thu Dec 22 17:24:22 2016 +0000

    package_history shows the notes.yml history for a package
    
    notes% ../misc/package_history.sh chemps2
    commit b256e02ca3cfd8e825ff9f93e1f517b9bbb7068c
    Author: Chris Lamb <lamby at debian.org>
    Date:   Fri Aug 26 01:52:05 2016 +0100
    
        Tag 16 total packages with captures_build_path
    chemps2:
      version: 1.8-1
      issues:
        - captures_build_path
    cherrypy3:
    commit e8b189812e991a636b82cc17267791e6ae979d9e
    Author: Reiner Herrmann <reiner at reiner-h.de>
    Date:   Sun Oct 11 10:53:29 2015 +0200
    
        remove archived bugs
    commit e06be21bf966a2422b1fe841bfa41ac7af06e94b
    Author: Chris West (Faux) <git at goeswhere.com>
    Date:   Tue Aug 11 19:47:04 2015 +0100
    
        bugs
    chemps2:
      version: 1.5-1
      bugs:
        - 795138
    cherrypy3:
    
    (awful hack)
---
 package_history.sh | 10 ++++++++++
 1 file changed, 10 insertions(+)

diff --git a/package_history.sh b/package_history.sh
new file mode 100755
index 0000000..a7bbcad
--- /dev/null
+++ b/package_history.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -eu
+# TODO: regex escaping
+pkg=$1
+
+git log --format=%H -G '^'${pkg}':' | while read x; do
+    git log -n1 $x
+    git show $x:packages.yml | sed -n '/^'${pkg}':/,/^[^ ]/p'
+done
+

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/reproducible/misc.git



More information about the Reproducible-commits mailing list